Bug 836338 - [abrt] soundconverter-2.0.3-4.fc17: gconfstore.py:55:set_string:TypeError: GConf.Client.set_string() argument 2 must be string, not None
Summary: [abrt] soundconverter-2.0.3-4.fc17: gconfstore.py:55:set_string:TypeError: GC...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: soundconverter
Version: 17
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:627a954b9773a6c8c8c952ef046...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-28 18:28 UTC by Ganesh R
Modified: 2012-07-14 21:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-14 21:49:56 UTC
Type: ---


Attachments (Terms of Use)

Description Ganesh R 2012-06-28 18:28:46 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/soundconverter
executable:     /usr/bin/soundconverter
kernel:         3.4.3-1.fc17.i686.PAE
time:           Thu 28 Jun 2012 11:57:14 PM IST
uid:            1000
username:       g

backtrace:
:gconfstore.py:55:set_string:TypeError: GConf.Client.set_string() argument 2 must be string, not None
:
:Traceback (most recent call last):
:  File "/usr/lib/soundconverter/python/soundconverter/ui.py", line 1254, in on_addfolder_activate
:    self.addfolderchooser.get_current_folder_uri())
:  File "/usr/lib/soundconverter/python/soundconverter/gconfstore.py", line 55, in set_string
:    self.gconf.set_string(self.path(key), value)
:TypeError: GConf.Client.set_string() argument 2 must be string, not None
:
:Local variables in innermost frame:
:self: <soundconverter.ui.PreferencesDialog object at 0xb6b7128c>
:key: 'last-used-folder'
:value: None

smolt_data:
:
:
:General
:=================================
:UUID: 5a612375-19ca-486e-ba17-ce9274c641f4
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4401.26
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E4500  @ 2.20GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 2016
:System Swap: 4999
:Vendor: HP-Pavilion
:System: GT702AA-ACJ s3260in 
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4545:22545:4156:10835) pci, firewire_ohci, FIREWIRE, FW322/323
:(32902:10202:4156:10835) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10176:4156:10835) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10160:4156:10835) pci, None, PCI/ISA, 82801GH (ICH7DH) LPC Interface Bridge
:(32902:10200:4156:10835) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(4098:43576:5762:43576) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(32902:9294:4156:10835) pci, None, PCI/PCI, 82801 PCI Bridge
:(4098:38223:5762:9320) pci, radeon, VIDEO, RV710 [Radeon HD 4350]
:(32902:10185:4156:10835) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4156:10835) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:4156:10835) pci, None, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:4156:10835) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10204:4156:10835) pci, e100, ETHERNET, N10/ICH 7 Family LAN Controller
:(32902:10187:4156:10835) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4156:10835) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10097:32902:10097) pci, pcieport, PCI/PCI, 82945G/GZ/P/PL PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 12773825 11403220 10763220 3203072 3048101 3048101
:/dev/sda1 /boot ext4 1024 1024 508644 428889 403289 128016 127674 127674
:/dev/sda5 /home ext4 4096 4096 63856125 62356403 59159693 15990784 15989264 15989264
:

Comment 1 Fedora Update System 2012-06-29 08:52:18 UTC
soundconverter-2.0.3-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/soundconverter-2.0.3-5.fc17

Comment 2 Fedora Update System 2012-06-30 22:05:56 UTC
Package soundconverter-2.0.3-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing soundconverter-2.0.3-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10101/soundconverter-2.0.3-5.fc17
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-07-14 21:49:56 UTC
soundconverter-2.0.3-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.